> For the complete documentation index, see [llms.txt](https://akiba-digital.gitbook.io/akiba-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://akiba-digital.gitbook.io/akiba-api-docs/api-documentation/verification-apis/kyb.md).

# KYB

## The expected data returned:&#x20;

Using company registration number, we can return:&#x20;

* [x] Company name,&#x20;
* [x] Registered offices,&#x20;
* [x] Contact information,&#x20;
* [x] Directors' list &#x20;
  * [x] KYC on each director
* [x] Compliance flags

{% hint style="info" %}
**Good to know:** All the methods shown below are synced to an example Swagger file URL and are kept up to date automatically with changes to the API.Vr
{% endhint %}

## Get Started

To make this endpoint, you will need a valid developer account and, API Keys. Read Authentication to learn more.

{% content-ref url="/pages/pToGCg7eHDPgevEUTaDT" %}
[Authentication](/akiba-api-docs/getting-started/authentication.md)
{% endcontent-ref %}

### API Endpoint

<mark style="color:green;">`POST`</mark> [`https://api.akibaone.com/api/searchcompanies`](https://api.akibaone.com/api/searchcompanies)

### Request

<pre><code><strong>{
</strong>  "enterpriseNumberOrName": "string"
}
</code></pre>

### Response Samples

```
{
  "success": true,
  "message": "string",
  "id": "string"
}
```

`POST` [`https://api.akibaone.com/api/businessdetails`](https://api.akibaone.com/api/businessdetails)

### Request

<pre><code><strong>{
</strong>  "enterpriseNumberOrName": "string"
}
</code></pre>

### Response Samples

```
{
  "success": true,
  "message": "string",
  "id": "string"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://akiba-digital.gitbook.io/akiba-api-docs/api-documentation/verification-apis/kyb.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
